# 🤖 TaskForceAgents - in ALPHA 🚧 👷

**Domain Specific Agents - customized to work in teams to plan and solve real-world problems for real people**

## Description

TaskForceAgents is a Python library for building domain specific agents. Agents are able to leverage domain-specific knowledge (in the form of APIs, databases, knowledge graphs) and take customized actions and execute domain-specific workflows.

Agents must be able to:
- **Understand** the context of a problem
- **Plan** a solution and ancipate costs and risks
- **Coordinate** with other agents to solve the problem
- **Execute** the solution
- **Learn** from the results

This library is designed for people who want to build agents that want more control over
 * Cost
 * Accuracy
 * Speed


### Built with

TaskForceAgents is built on top of [PromptedGraphs](https://github.com/closedloop-technologies/PromptedGraphs)


## ✨ Features

🚧 👷

## Core Functions

🚧 👷

## Requirements

- Python 3.10 or newer.

## 📦 Installation

To install `TaskForceAgents` via pip:

```bash
pip install taskforceagents
# or
poetry add taskforceagents
```

## Usage

### Example 1

### Example 2

## 📚 Resources

  * [Agent Protocol](https://agentprotocol.ai/)

### Related Libraries
  * [AutoGen](https://github.com/microsoft/autogen)
  * [AutoGPT](https://github.com/Significant-Gravitas/AutoGPT)
  * [Haystack](https://github.com/deepset-ai/haystack)

## 💻 Development

Poetry is used for dependency management. To install poetry, see [here](https://python-poetry.org/docs/#installation).

To install dependencies:

```bash
poetry install

pre-commit install

# For cleaner commits, install opencommit
opencommit hook set
```


## Contributing

We welcome contributions! Please DM me [@seankruzel](https://twitter.com/seankruzel) or create issues or pull requests.

## 📝 License

This project is licensed under the terms of the [MIT license](/LICENSE).

Built using [quantready](https://github.com/closedloop-technologies/quantready) using template [https://github.com/closedloop-technologies/quantready-api](https://github.com/closedloop-technologies/quantready-api)
